BOOTLOGD(8)

NOM
bootlogd - Enregistrer les messages de démarrage

SYNOPSIS
/sbin/bootlogd [-d] [-r] [-v] [ -l fichier_log ] [ -p fichier_pid ]

DESCRIPTION
bootlogd s'exécute en arrière-plan et copie toutes les chaînes de caractères envoyées sur le périphérique /dev/console dans un fichier de journalisation. Si ce fichier n'est pas accessible, les messages seront tamponnés en mémoire jusqu'à ce qu'il le devienne.

OPTIONS

-d  Ne pas se dédoubler (fork) et s'exécuter en arrière-plan.

-r  Si un fichier de journalisation nommé fichier_log existe, le renommer en fichier_log~ à moins que fichier_log~ n'existe déjà.

-v  Afficher la version.

-l fichier_log
    Journaliser dans ce fichier. La valeur par défaut est /var/log/boot.

-p fichier_pid
    Mettre le PID dans ce fichier. Le comportement par défaut est qu'il n'y a pas de tel fichier.

BOGUES
bootlogd fonctionne en redirigeant la sortie du périphérique console. Il copie cette sortie vers le véritable périphérique console et vers le fichier de journalisation. Il n'y a pas de manière standard de découvrir le véritable périphérique console si vous avez un périphérique de nouveau style dev/console (majeur 5, mineur 1). bootlogd essaie d'analyser la ligne de commande du noyau, cherchant des lignes « console= » et en déduisant à partir de là le véritable périphérique console. Si cette syntaxe est modifiée par le noyau, ou si un type de console est utilisé que bootlogd ne connait pas, bootlogd ne fonctionnera pas.

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
dmesg(8)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 juin 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 bootlogd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.